From: dsherron at nbc dot edu
Operating system: Win 2003
PHP version: 4.3.3
PHP Bug Type: dBase related
Bug description: Dbase Version Check added in 4.3.3 detecting bad version when using memo fields

Description:
------------
As seen in Version 4.3.3 Changelog:

Fixed bug 23463 (added Dbase2 version check). (Vlad Krupin)

We are reading from many dbase files, all version 3, and one of them has a
memo field. Prior to version 4.3.2, all of these tables were readable,
but with the addition of the version check on 4.3.3, I now recieve the
following error when opening the v3 file with memo fields:

-----------snip-----------
Warning: This file appears to be dbase ver. -117. Only version 3 and above
is supported. in D:\inetpub\onlineroot\bin\inc_lib_online.php on line 862

Warning: unable to open database D:\inetpub\FPDBF\evaluate.dbf in
D:\inetpub\onlineroot\bin\inc_lib_online.php on line 862
Cannot open Unable to get header
-----------snip-----------

In versions from 4.1.1 - 4.3.2 these database files worked flawlessly.
The memo fields are not important to me, since I am merely checking other
fields in the database, but the ability to open and read the other fields
has always been there. This functionality has now been broken with 4.3.3

I would be glad to send an empty database with these properties to help
reproduce the problem.

--Dave

Reproduce code:
---------------
if ( !$fp = dbase_open("D:\\inetpub\\FPDBF\\evaluate.dbf",0) ) {
echo "Cannot open database\n";
exit;
}

Expected result:
----------------
<no warning messages, has a usable file handle ($fp)>

Actual result:
--------------
Warning: This file appears to be dbase ver. -117. Only version 3 and above
is supported. in D:\inetpub\onlineroot\testing\bug_rep.php on line 1

Warning: unable to open database D:\inetpub\FPDBF\evaluate.dbf in
D:\inetpub\onlineroot\testing\bug_rep.php on line 1
Cannot open Unable to get header

<please note the db file handle is not usable at this point ($fp)>

--
Edit bug report at [url]http://bugs.php.net/?id=25558&edit=1[/url]
--
Try a CVS snapshot (php4): [url]http://bugs.php.net/fix.php?id=25558&r=trysnapshot4[/url]
Try a CVS snapshot (php5): [url]http://bugs.php.net/fix.php?id=25558&r=trysnapshot5[/url]
Fixed in CVS: [url]http://bugs.php.net/fix.php?id=25558&r=fixedcvs[/url]
Fixed in release: [url]http://bugs.php.net/fix.php?id=25558&r=alreadyfixed[/url]
Need backtrace: [url]http://bugs.php.net/fix.php?id=25558&r=needtrace[/url]
Try newer version: [url]http://bugs.php.net/fix.php?id=25558&r=oldversion[/url]
Not developer issue: [url]http://bugs.php.net/fix.php?id=25558&r=support[/url]
Expected behavior: [url]http://bugs.php.net/fix.php?id=25558&r=notwrong[/url]
Not enough info: [url]http://bugs.php.net/fix.php?id=25558&r=notenoughinfo[/url]
Submitted twice: [url]http://bugs.php.net/fix.php?id=25558&r=submittedtwice[/url]
register_globals: [url]http://bugs.php.net/fix.php?id=25558&r=globals[/url]
PHP 3 support discontinued: [url]http://bugs.php.net/fix.php?id=25558&r=php3[/url]
Daylight Savings: [url]http://bugs.php.net/fix.php?id=25558&r=dst[/url]
IIS Stability: [url]http://bugs.php.net/fix.php?id=25558&r=isapi[/url]
Install GNU Sed: [url]http://bugs.php.net/fix.php?id=25558&r=gnused[/url]